update openssh to 5.5 @nas (unsolved)

Generating RSA Key…
/opt/bin/ssh-keygen: can’t resolve symbol ‘__guard’
Generating RSA Key…
/opt/bin/ssh-keygen: can’t resolve symbol ‘__guard’
Generating DSA Key…
/opt/bin/ssh-keygen: can’t resolve symbol ‘__guard’
Fixing permissions on the /tmp directory…
killall: /opt/sbin/sshd: no process killed
/opt/sbin/sshd: can’t resolve symbol ‘__guard’
postinst script returned status 1

Fix:

ldd /opt/bin/ssh-keygen to find all libs used

find if there are duplicates of this lib
locate  libc.so
locate  libcrypto.so
locate  libdl.so
locate libutil.so
locate  libz.so
locate  libcrypt.so
locate  libgcc_s
locate  libc.so
locate  ld-uClibc
ls -lat  /opt/lib/libcrypto.so /opt/lib/libcrypto.so.0 /opt/lib/libcrypto.so.0.9.7 /usr/lib/libcrypto.so /usr/lib/libcrypto.so.0 /usr/lib/libcrypto.so.0.9.7

lrwxrwxrwx 1 root root      18 Dec 11  2008 /opt/lib/libcrypto.so -> libcrypto.so.0.9.7
lrwxrwxrwx 1 root root      18 Dec 11  2008 /opt/lib/libcrypto.so.0 -> libcrypto.so.0.9.7
-rw-r–r– 1 root root 1030148 Dec 10  2008 /opt/lib/libcrypto.so.0.9.7
lrwxrwxrwx 1 root root      18 Jun  2  2008 /usr/lib/libcrypto.so -> libcrypto.so.0.9.7
lrwxrwxrwx 1 root root      18 Jun  2  2008 /usr/lib/libcrypto.so.0 -> libcrypto.so.0.9.7
-rw-r–r– 1 root root  962288 Jan 18  2008 /usr/lib/libcrypto.so.0.9.7

and

ll /lib/libz* /opt/lib/libz.* /usr/local/lib/libz.so.1.2.3
lrwxrwxrwx 1 root root    13 Apr 10 01:20 /opt/lib/libz.so -> libz.so.1.2.4
lrwxrwxrwx 1 root root    13 Apr 10 01:20 /opt/lib/libz.so.1 -> libz.so.1.2.4
-rw-r–r– 1 root root 89644 Mar 18 15:37 /opt/lib/libz.so.1.2.4
lrwxrwxrwx 1 root root    13 Oct 17  2008 /lib/libz.so.1 -> libz.so.1.2.3
lrwxrwxrwx 1 root root    13 Oct 17  2008 /lib/libz.so -> libz.so.1.2.3
-rw-r–r– 1 root root 72700 Oct 17  2008 /usr/local/lib/libz.so.1.2.3
lrwxrwxrwx 1 root root    30 Oct 17  2008 /lib/libz.so.1.2.3 -> ../usr/local/lib/libz.so.1.2.3

A specific fix for NAS after ipkg upgrade

There are two copies libnsl: /lib/libnsl-0.9.28.so and /opt/lib/libnsl-0.9.28.so
after remove  /opt/lib/libnsl-0.9.28.so and point to /lib/libnsl-0.9.28.so. problem fix

[NAS 14:43:02|~] perl -V
perl: can't resolve symbol '__guard'
[NAS 14:50:05|~] ldd /usr/bin/perl
 libnsl.so.0 => /lib/libnsl.so.0 (0x4000e000)
 libdl.so.0 => /lib/libdl.so.0 (0x40017000)
 libm.so.0 => /lib/libm.so.0 (0x40021000)
 libcrypt.so.0 => /lib/libcrypt.so.0 (0x4003d000)
 libutil.so.0 => /lib/libutil.so.0 (0x40059000)
 libc.so.0 => /lib/libc.so.0 (0x40062000)
 ld-uClibc.so.0 => /lib/ld-uClibc.so.0 (0x40000000)

[NAS 14:55:13|~] locate  libnsl.so
/lib/libnsl.so.0
/opt/lib/libnsl.so
/opt/lib/libnsl.so.0
/opt/lib/libnsl.so.1
/usr/lib/libnsl.so
/usr/lib/libnsl.so.0
[NAS 14:55:21|~] ll /lib/libnsl.so.0 /opt/lib/libnsl.so /opt/lib/libnsl.so.0 /opt/lib/libnsl.so.1 /usr/lib/libnsl.so /usr/lib/libnsl.so.0
lrwxrwxrwx 1 root root   20 Sep  9 20:55 /opt/lib/libnsl.so.0 -> libnsl-0.9.28.so.bak
lrwxrwxrwx 1 root root   16 Jul  3  2009 /lib/libnsl.so.0 -> libnsl-0.9.28.so
lrwxrwxrwx 1 root root   16 Jun  5  2008 /opt/lib/libnsl.so -> libnsl-0.9.28.so
lrwxrwxrwx 1 root root   16 Jun  5  2008 /opt/lib/libnsl.so.1 -> libnsl-0.9.28.so
lrwxrwxrwx 1 root root    9 Jun  3  2008 /usr/lib/libnsl.so.0 -> libnsl.so
-rw-r--r-- 1 root root 1944 Jun  2  2008 /usr/lib/libnsl.so
[NAS 14:55:39|~] ll /opt/lib/libnsl.so.0
lrwxrwxrwx 1 root root 20 Sep  9 20:55 /opt/lib/libnsl.so.0 -> libnsl-0.9.28.so.bak
[NAS 14:55:53|~] ll /opt/lib/libnsl.so.1
lrwxrwxrwx 1 root root 16 Jun  5  2008 /opt/lib/libnsl.so.1 -> libnsl-0.9.28.so
[NAS 14:56:07|~] ll /opt/lib/libnsl-0.9.28.so
lrwxrwxrwx 1 root root 21 Jul  3  2008 /opt/lib/libnsl-0.9.28.so -> /lib/libnsl-0.9.28.so
[NAS 14:56:14|~] ll /usr/lib/libnsl.so.0
lrwxrwxrwx 1 root root 9 Jun  3  2008 /usr/lib/libnsl.so.0 -> libnsl.so

[NAS 14:56:44|~] sudo ln -s -f /lib/libnsl-0.9.28.so /opt/lib/libnsl.so.0 
[NAS 14:56:49|~]
[NAS 14:56:49|~]
[NAS 14:56:49|~]
[NAS 14:56:49|~] perl -V
Can't locate strict.pm in @INC (@INC contains: /lib /usr/lib /opt/lib /opt/usr/lib /opt/lib/perl5/5.8.8/arm-linux/CORE /usr/local/lib/perl5/5.8.8/armv5tejl-linux /usr/local/lib/perl5/5.8.8 /usr/local/lib/perl5/site_perl/5.8.8/armv5tejl-linux /usr/local/lib/perl5/site_perl/5.8.8 /usr/local/lib/perl5/site_perl .) at /usr/local/lib/perl5/5.8.8/armv5tejl-linux/Config.pm line 5.
BEGIN failed--compilation aborted at /usr/local/lib/perl5/5.8.8/armv5tejl-linux/Config.pm line 5.
Compilation failed in require.

after note,
/opt/lib/libnsl.so.0  from this ipkg libnsl - 0.9.28-4

Done!!

About these ads

One response to “update openssh to 5.5 @nas (unsolved)

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s